Bug 491111 - rhn-applet-gui has traceback when firefox is not there
rhn-applet-gui has traceback when firefox is not there
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhn-applet (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 10:08 EDT by Petr Sklenar
Modified: 2010-08-03 03:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 03:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-03-19 10:08:00 EDT
Description of problem:
rhn-applet-gui

Version-Release number of selected component (if applicable):
rhn-applet-2.1.27-6.el4

How reproducible:
always

Steps to Reproduce:
1. default installation of RHEL4 = its without firefox
2. register to rhn
3. left click to icon in tray (!)
4. click "RHN Website..."
5. traceback:

Actual results:

Traceback (most recent call last):
  File "/usr/share/rhn/rhn_applet/rhn_applet.py", line 418, in load_website
    gnome.url_show("https://rhn.redhat.com/")
gobject.GError: There was an error launching the default action command associated with this location

Expected results:
write message: default browser is not specified

Additional info:
There isn't firefox in default installation of rhel4. Default browser is maybe konqueror maybe none.

There is icon (functionless) to firefox in panel but package firefox is not there.
Comment 1 Jan Pazdziora 2010-07-26 09:46:17 EDT
Taking.

I understand the issue but what do you propose to do if firefox is not installed? We cannot just try to run random programs (konqueror) to try to launch the thing.

And not running the applet probably also is out of question.

In a sense, I feel that this error message is the most sensible we can do for the user.
Comment 2 Jan Pazdziora 2010-08-03 03:31:48 EDT
Given we don't have some sensible proposal about what should happen, closing.

Note You need to log in before you can comment on or make changes to this bug.